Bug 225937 - Merge Review: jakarta-oro
Merge Review: jakarta-oro
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 14:10 EST by Nobody's working on this, feel free to take it
Modified: 2011-03-01 03:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-21 09:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:10:29 EST
Fedora Merge Review: jakarta-oro

Initial Owner: fnasser@redhat.com
Comment 1 Stanislav Ochotnicky 2011-02-21 06:39:44 EST
I'll do this merge review
Comment 2 Stanislav Ochotnicky 2011-02-21 07:11:15 EST
Package Review

- = N/A
x = Check
! = Problem
? = Not evaluated

[!]  Rpmlint output:
jakarta-oro.noarch: W: spelling-error %description -l en_US filenames -> file names, file-names, forenames
jakarta-oro.noarch: W: spelling-error %description -l en_US www -> WWW, waw, wow
jakarta-oro.noarch: W: spelling-error %description -l en_US oroinc -> orogenic, Orinoco, Orozco
jakarta-oro.noarch: W: spelling-error %description -l en_US savarese -> savarin, Varese, savageness

This is OK, but I guess the part about donating can be removed from description.

jakarta-oro.noarch: W: non-standard-group Development/Java


jakarta-oro.noarch: W: self-obsoletion oro <= 0:2.0.8 obsoletes oro = 0:2.0.8-8.fc16

These old provides/obsoletes can be removed (they have been added in 2006 so they are no longer necessary)

jakarta-oro-javadoc.noarch: W: non-standard-group Development/Java
jakarta-oro-javadoc.noarch: W: self-obsoletion oro-javadoc <= 0:2.0.8 obsoletes oro-javadoc = 0:2.0.8-8.fc16
jakarta-oro.src: W: spelling-error %description -l en_US filenames -> file names, file-names, forenames
jakarta-oro.src: W: spelling-error %description -l en_US www -> WWW, waw, wow
jakarta-oro.src: W: spelling-error %description -l en_US oroinc -> orogenic, Orinoco, Orozco
jakarta-oro.src: W: spelling-error %description -l en_US savarese -> savarin, Varese, savageness
jakarta-oro.src: W: non-standard-group Development/Java
See previous comments

jakarta-oro.src:33: W: mixed-use-of-spaces-and-tabs (spaces: line 33, tab: line 31)
Unify whitespace (I'd say switch tabs to spaces)

jakarta-oro.src: W: invalid-url Source0: jakarta-oro-2.0.8.tar.gz
The source matches upstream but it would be better to have link to upstream.
upstream: http://archive.apache.org/dist/jakarta/oro/jakarta-oro-2.0.8.tar.gz

jakarta-oro.src:76: W: rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
rm -rf should be removed from %prep

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[!]  Buildroot definition is not present

Remove buildroot

[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 1.1
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
Javadoc subpackage should have license of its own

[x]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 6f7690c6ba9750e3cbb8ebd10078a79a
Used upstream url of http://archive.apache.org/dist/jakarta/oro/jakarta-oro-2.0.8.tar.gz
Add proper url instead of tarball name

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[!]  Package requires other packages for directories it uses.
Main package is missing requires on any java/jpackage-utils

[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
Clean section is not needed anymore

[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[!]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
Replace symlinks with directory (no versioned javadocdir)

[!]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils
Both main package and javadoc are missing this

[!]  Package uses %global not %define
Replace define

[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[!]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
Jar should be versionless now

[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64
Comment 3 Alexander Kurtakov 2011-02-21 08:44:02 EST
I tried to fix all comments. :)
Comment 4 Stanislav Ochotnicky 2011-02-21 09:04:22 EST
Looks good to me now. Closing since this is merge review.

Note You need to log in before you can comment on or make changes to this bug.